Bug 108566 - Bad build dependencies
Bad build dependencies
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gnome-python2 (Show other bugs)
3.0
All Linux
low Severity low
: ---
: ---
Assigned To: Matt Wilson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-30 03:40 EST by John Morris
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-11 13:04:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Morris 2003-10-30 03:40:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20030708

Description of problem:
Source package won't build without pyorbit-devel installed, although a
conditional test is in the spec file.  Fails with the following:

RPM build errors:
    Installed (but unpackaged) file(s) found:
   /usr/lib/python2.2/site-packages/gtk-2.0/bonobo/__init__.py
   /usr/lib/python2.2/site-packages/gtk-2.0/bonobo/__init__.pyc
   /usr/lib/python2.2/site-packages/gtk-2.0/bonobo/__init__.pyo

Add the missing -devel package and it appears to build OK.

Version-Release number of selected component (if applicable):
gnome-python2-1.99.14-5

How reproducible:
Always

Steps to Reproduce:
1. rpmbuild --rebuild gnome-python2-1.99.14-5.src.rpm
2. wait
3.  Boom!
    

Additional info:
Comment 1 Joshua Jensen 2003-12-11 10:46:44 EST
I second this... this needs a BuildReq of pyorbit-devel
Comment 2 Matt Wilson 2003-12-11 13:04:51 EST
fixed in CVS, will be picked up in the next version of Fedora Core,
then inherited in the next version of RHEL 4.

Note You need to log in before you can comment on or make changes to this bug.